/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.fel.pjv.cv10.sockety;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.ObjectInputStream;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.Socket;
import java.util.ArrayList;

/**
 *
 * @author martin
 */
public class Client {
    
    private String address;
    private int port;
    Socket clientSocket;
    
    public static void main(String[] args) throws IOException, ClassNotFoundException {
        
        Client client = new Client("localhost",10000);  
        System.out.println("Klient pripojen");
        client.processConnection();
        
    }

    public Client(String address, int port) throws IOException {
        this.address = address;
        this.port = port;
        clientSocket=new Socket(address,port);
    }
    
    
    public void processConnection() throws IOException, ClassNotFoundException{
        
        InputStream is = clientSocket.getInputStream();
        OutputStream os = clientSocket.getOutputStream();
        
        BufferedReader br = new BufferedReader(new InputStreamReader(is));
        OutputStreamWriter osw = new OutputStreamWriter(os);
    
        osw.write("DATA\n");
        osw.flush();
        ObjectInputStream ois = new ObjectInputStream(is);
        ArrayList<String> data =(ArrayList<String>) ois.readObject();
        
        System.out.println("Data dorucena:");
        for (String string : data) {
            System.out.println(string);
        }
        
        osw.close();
        br.close();
        clientSocket.close();
        
        
    }
    
    public void processConnection_old() throws IOException{
        
        InputStream is = clientSocket.getInputStream();
        OutputStream os = clientSocket.getOutputStream();
        
        BufferedReader br = new BufferedReader(new InputStreamReader(is));
        OutputStreamWriter osw = new OutputStreamWriter(os);
    
        osw.write("HELO user1\n");
        osw.flush();
        
        String dataRead = br.readLine();
        
        System.out.println("Uzivatelsky token je :"+dataRead.substring(3));
        osw.close();
        br.close();
        clientSocket.close();
        
        
    }
    
}
