/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.fel.pjv.cv10.sockety;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.UUID;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author martin
 */
public class Server {

    private ServerSocket sSocket;
    private Socket clientSocket;

    private ArrayList<String> data;

    public static void main(String[] args) throws Exception {
        Server server = new Server();
        server.runServer();
    }

    public Server() throws IOException {
        sSocket = new ServerSocket(10000);
        data = new ArrayList<String>();
        data.add("retezec 1");
        data.add("retezec 2");
        data.add("retezec 3");
        data.add("retezec 4");
    }

    public void runServer() throws IOException {
        while (true) {
            clientSocket = sSocket.accept();

            Thread t = new Thread(new Runnable() {
                @Override
                public void run() {
                    try {
                        processConnection(clientSocket);
                    } catch (IOException ex) {
                        Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
                    }
                }
            });
            t.start();

        }
    }

    public void processConnection(Socket clientSocket) throws IOException {

        //data od klienta
        InputStream is = clientSocket.getInputStream();
        //data ke klientovi
        OutputStream os = clientSocket.getOutputStream();

        OutputStreamWriter osw = new OutputStreamWriter(os);

        BufferedReader br = new BufferedReader(new InputStreamReader(is));

        String readData = br.readLine();
        System.out.println("Prectena data: >" + readData + "<");

        if (readData.startsWith("HELO ")) {
            System.out.println("Prihlasen uzivatel: " + readData.substring(5));
            UUID token = UUID.randomUUID();
            osw.write("OK " + token.toString());

        } else {
            if (readData.startsWith("DATA")) {
                ObjectOutputStream oos = new ObjectOutputStream(os);
                oos.writeObject(data);
                oos.flush();
                oos.close();
            } else {

                osw.write("BYE");
                osw.flush();
            }

            osw.close();
            br.close();

            clientSocket.close();
        }

    }
}
